Summary:	Icmake - an Intelligent C-like Maker
Summary(pl.UTF-8):	Icmake - inteligentny C-podobny "maker"
Name:		icmake
Version:	7.16.00
Release:	1
License:	GPL v3
Group:		Development/Building
Source0:	http://downloads.sourceforge.net/icmake/%{name}_%{version}.orig.tar.gz
# Source0-md5:	174cf585d9133a42797d49e280345f03
URL:		http://icmake.sourceforge.net/
BuildRequires:	bash
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Icmake is yet another maker - but this time, one that uses a C-like
syntaxis. The Icmake scripts should feel `natural' to all C
programmers. Icmake is furthermore a powerful shell script language:
it can be used for program maintenance as well as for system
administrative tasks.

%description -l pl.UTF-8
Icmake jest kolejnym programem typu "make" - ale takim, który używa
składni podobnej do C. Skrypty Icmake powinny być dość 'naturalne' dla
programistów C. Icmake jest ponadto potężnym narzędziem skryptowym:
może być używany równie dobrze do tworzenia programów z równym
powodzeniem jak do wykonywania zadań administracyjnych.

%prep
%setup -q
%{__sed} -i -e 's#gcc#%{__cc}#g' icm_bootstrap
%{__sed} -i -e 's#/lib/#/%{_lib}/#g' INSTALL.im

%build
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
./icm_bootstrap /

%install
rm -rf $RPM_BUILD_ROOT

./icm_install progs $RPM_BUILD_ROOT
./icm_install scripts $RPM_BUILD_ROOT
./icm_install skel $RPM_BUILD_ROOT
./icm_install man $RPM_BUILD_ROOT
./icm_install doc $RPM_BUILD_ROOT
./icm_install etc $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog doc/icmake.ps doc/icmake.doc
%dir %{_sysconfdir}/icmake
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icmake/icmstart.rc
%attr(755,root,root) %{_bindir}/icmake
%attr(755,root,root) %{_bindir}/icmbuild
%attr(755,root,root) %{_bindir}/icmstart
%attr(755,root,root) %{_bindir}/icmun
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/icm-comp
%attr(755,root,root) %{_libdir}/%{name}/icm-exec
%attr(755,root,root) %{_libdir}/%{name}/icm-pp
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/parser
%{_datadir}/%{name}/parser/grammar
%dir %{_datadir}/%{name}/parser/gramspec
%attr(755,root,root) %{_datadir}/%{name}/parser/gramspec/grambuild
%{_datadir}/%{name}/parser/gramspec/*.gr0
%{_datadir}/%{name}/[!p]*
%{_mandir}/man1/icmake.1*
%{_mandir}/man1/icmbuild.1*
%{_mandir}/man1/icmstart.1*
%{_mandir}/man7/icmconf.7*
%{_mandir}/man7/icmstart.rc.7*
%changelog
* Mon Feb 17 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/icmake.git;a=log;h=master

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 56c5545
- updated to 7.16.00

* Sun Apr 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> aa399e4
- up to 7.15.00

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9067973
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2154397
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 55955c8
- orphaned, outdated

* Tue Aug 31 2004 snurf <snurf@pld-linux.org> 2d3083d
- typos / formatting / etc.

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> f1b20c0
- release 4 for Ac (3 is for Ra)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 58c82fd
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9160722
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> e898fa1
- new %%doc

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 97ddd82
- fixed a small typo

* Tue Mar 19 2002 ankry <ankry@pld-linux.org> 8ef8335
- fixed URLs

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> f98946c
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 48b0198
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Mon Nov 26 2001 Paweł Gołaszewski <blues@pld-linux.org> 5634afe
- release 3
- typo fixed
NOTE: no active URL found

* Wed May 02 2001 Jakub Bogusz <qboosh@pld-linux.org> a883b8f
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

* Sun May 21 2000 kloczek <kloczek@pld-linux.org> 321b613
- spec adapterized.

* Sat Apr 01 2000 mis <mis@pld-linux.org> 9b56fcb
- typo

* Sat Apr 01 2000 Sebastian Zagrodzki <sebek@zagrodzki.net> c8b62d8
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

* Tue Mar 28 2000 Jan Rękorajski <baggins@pld-linux.org> 2b2a218
- translated kloczkish into english

